/*
 * Copyright (C) 2004 Laszlo Pere
 * $Id: cuiterm.h,v 1.1 2006/02/24 17:32:55 pipas Exp pipas $
 *
 * This is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Library General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Log: cuiterm.h,v $
 * Revision 1.1  2006/02/24 17:32:55  pipas
 * Initial revision
 *
 */
#ifndef CUITERM_H
#define CUITERM_H

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

/*****************************************************************************
 * Some configuration safe to modify...                                      *
 *                                                                           *
 *****************************************************************************/
/*
 * To turn off the assert() makros define this:
 */
// #define G_DISABLE_ASSERT

/*****************************************************************************
 * The configuration of the embedded windows.                                *
 *****************************************************************************/
#define TITLEBAR_FONT "Sans Bold Italic 12"
#define WINDOW_FRAME_SHOWN 1
#define WINDOW_SHADOW_SHOWN 1

/*****************************************************************************
 * The default settings of the main widgget.                                 *
 *****************************************************************************/
#define BASE_FONT "Sans 10"

/*****************************************************************************
 * A logo and some introductionary text shown when the program starts.       *
 *****************************************************************************/
#define SPLASH 1 
#define FEDORA_RELEASE "/etc/fedora-release"
#define DEBIAN_RELEASE "/etc/debian-release"
#define REDHAT_RELEASE "/etc/redhat-release"
#define GENTOO_RELEASE "/etc/gentoo-release"

/*****************************************************************************
 * Some configuration used to debug the program.                             *
 *****************************************************************************/
#define DEBUG_ALL 0


/*****************************************************************************
 * If this is defined we show all of the GtkTextMark objects on the screen.  *
 * It is useful for debug purposes.                                          *
 *****************************************************************************/
#undef VISIBE_MARKS

/*****************************************************************************
 * If we want to see where are the menu areas, action areas, etc. This       *
 * is ugly, but good for debugging purposes.                                 *
 *****************************************************************************/
#define SHOW_MENU_AREAS 0
#define SHOW_ACTION_AREAS 0 
#define SHOW_SELECTION_AREAS 0
#define SHOW_EDIT_FIELDS 0

/*****************************************************************************
 * Do not modify below unless you know what you are doing.                   *
 *****************************************************************************/
#if ALLDEBUG == 1
#undef SHOW_MENU_AREAS
#undef SHOW_SELECTION_AREAS
#undef SHOW_EDIT_FIELDS
#undef CUI_WINDOW_FRAME

#define SHOW_MENU_AREAS 1
#define SHOW_SELECTION_AREAS 1
#define SHOW_EDIT_FIELDS 1
#define CUI_WINDOW_FRAME 1
#endif

/*
 * The pixmap directory. See the top-level Makefile.am for more information.
 */
#ifndef PIXMAP_DIR
/*
 * This is the original pixmap directory, it is not too good for gnome.
 */
/* 
 * #  define PIXMAP_DIR PACKAGE_DATA_DIR "/pixmaps/" PACKAGE "/" 
 */
#  define PIXMAP_DIR "/usr/share/pixmaps/cuiterm/"
#endif


#define LEFT_MARGIN 25


#endif
